package com.wtkj.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

import javax.validation.constraints.NotNull;

/**
 * @author Blizzard
 * @create at 2023-09-13 16:15
 * @describe
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName("blade_project_stage")
public class ProjectStage extends BaseEntity {

	private static final long serialVersionUID = 1L;

	@TableField("project_id")
	@JsonSerialize(using = ToStringSerializer.class)
	private Long projectId;

	@TableField("name")
	@ApiModelProperty("名称")
	private String name;

	@TableField("sort")
	@ApiModelProperty("排序")
	@NotNull(message = "sort不可为空")
	private Integer sort;

}
